数据提供商: Exa
查找与某个URL相似的网页(Exa)
每次调用 $0.007 起在 25 秒内响应
找出那些与手中已有的某页内容最为相似的网页:Exa的神经索引会根据内容含义返回最相近的页面,同时会排除源页面所属的域名;这些被检索到的页面会显示其标题、链接、发布日期以及作者信息。每次请求一个 URL,不接受 URL 列表,最多处理 25 个页面。输入为 URL,通过该链接对应页面的内容寻找相似页面。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Exa endpoint /findSimilar on Glasser.bash
glasser run -p exa -e '/findSimilar' -i '{"url":"https://www.iea.org/reports/global-ev-outlook-2024","numResults":10}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"exa","endpoint":"/findSimilar","input":{"url":"https://www.iea.org/reports/global-ev-outlook-2024","numResults":10},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
从指定网页研究问题时,可以收集相关段落,为研究笔记提供依据。
复制此提示词到你的 Agent,查找与研究问题相关的网页段落。
提示词
Use exa:/findSimilar on Glasser.
Read my source page and pull passages that answer the research question I provide.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"url"
],
"properties": {
"url": {
"type": "string",
"pattern": "^https?:\\/\\/",
"maxLength": 2048,
"minLength": 8
},
"contents": {
"type": "object",
"properties": {
"text": {
"type": "object",
"properties": {
"maxCharacters": {
"type": "integer",
"maximum": 10000,
"minimum": 1
}
},
"additionalProperties": false
},
"highlights": {
"type": "object",
"properties": {
"query": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"maxCharacters": {
"type": "integer",
"maximum": 10000,
"minimum": 1
}
},
"additionalProperties": false
}
},
"additionalProperties": false
},
"numResults": {
"type": "integer",
"maximum": 25,
"minimum": 1
},
"excludeDomains": {
"type": "array",
"items": {
"type": "string",
"pattern": "^(?=.*\\.)(\\*\\.)?[a-z0-9-]+(\\.[a-z0-9-]+)*(\\/[^\\s]*)?$",
"maxLength": 253,
"minLength": 4
},
"maxItems": 50,
"minItems": 1
},
"includeDomains": {
"type": "array",
"items": {
"type": "string",
"pattern": "^(?=.*\\.)(\\*\\.)?[a-z0-9-]+(\\.[a-z0-9-]+)*(\\/[^\\s]*)?$",
"maxLength": 253,
"minLength": 4
},
"maxItems": 50,
"minItems": 1
},
"endPublishedDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,3})?Z$"
},
"startPublishedDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,3})?Z$"
}
},
"additionalProperties": false
}json
{
"url": "https://www.iea.org/reports/global-ev-outlook-2024",
"numResults": 10
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 基础费用 | 包含最多 10 条结果。仅在返回数据时收费。 | $0.007 |
|---|---|---|
| 额外条结果的单价 | 超出前 10 个单位的部分,按每条结果计费。 | $0.001 |
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.022 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |